Exportar estoque para CSV
curl --request GET \
--url https://api.example.com/inventory/exportimport requests
url = "https://api.example.com/inventory/export"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/inventory/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Inventory
Exportar para CSV (Balanço)
Retorna um arquivo .CSV compactado que exibe todos os produtos e seus relativos estoques de todos os depósitos do Lojista (Tenant).
GET
/
inventory
/
export
Exportar estoque para CSV
Query Parameters
string
Limita a exportação ao invés de buscar a base cross-company.
string
Busque apenas
LOW_STOCK ou similar.Response
Retorna o conteúdo do arquivo com formato text/csv.Query Parameters
Busca por nome ou SKU
Filtrar por status de estoque
Available options:
ALL, IN_STOCK, LOW_STOCK, OUT_OF_STOCK Filtrar por depósito
Filtrar por categoria
Filtrar por tipo de produto
Available options:
SIMPLE, KIT, MANUFACTURED Ordenar por: name, stock, value, updated
Direção da ordenação
Cursor de paginação (offset)
Limite de itens por página
Response
200
Arquivo CSV de estoque